Skip to main content
GET
/
invoices
/
{invoiceId}
/
credit-notes
List credit notes
const options = {method: 'GET'};

fetch('https://api.dolfinai.co/invoices/{invoiceId}/credit-notes', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
[
  {
    "currency": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "organisationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "invoiceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "documentNumber": "<string>",
    "amount": 123,
    "netAmount": 123,
    "taxAmount": 123,
    "taxRateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "taxRateSnapshot": {
      "code": "<string>",
      "name": "<string>",
      "source": "<string>",
      "rate": 123,
      "sourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "snapshottedAt": "2023-11-07T05:31:56Z"
    },
    "invoiceLineItemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "reason": "<string>",
    "issuedAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "updatedAt": "2023-11-07T05:31:56Z",
    "updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
]

Path Parameters

invoiceId
string<uuid>
required

Response

200 - application/json

OK

currency
string
required

ISO 4217 currency code (e.g. GBP, USD, EUR) — always equal to the invoice currency

id
string<uuid>
organisationId
string<uuid>
invoiceId
string<uuid>
documentNumber
null | string
amount
netAmount

Net (ex-tax) portion of the credit. NetAmount + TaxAmount == Amount.

taxAmount

VAT/tax portion of the credit.

taxRateId
null | string<uuid>

Soft reference to the tax rate applied (an org rate or country default). Null on a zero-rated credit.

taxRateSnapshot
null | object

Frozen copy of the tax rate applied — the source of truth (code, name, rate, source). Null on a zero-rated credit.

invoiceLineItemId
null | string<uuid>

Optional id of the specific invoice line item this credit relates to.

reason
null | string
status
enum<string>
Available options:
Draft,
Issuing,
Issued
issuedAt
null | string<date-time>
createdAt
string<date-time>
createdBy
null | string<uuid>
updatedAt
string<date-time>
updatedBy
null | string<uuid>